# Week 12
### IMPORTANT:
Don't forget to check your seminar room!

> **This week's quiz can be found here:**  https://go.uwe.ac.uk/cppQuiz
> 
> [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=fe1c9ffb-cf06-4c1e-a946-ade000d07d12&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/content/listContentEditable.jsp?content_id=_10054823_1&course_id=_358428_1#contextMenu)

💬 There is now a discord. Join the discord if you want to : [https://discord.gg/V559GVJQnK](https://discord.gg/V559GVJQnK "https://discord.gg/V559GVJQnK") 💬
## Working on

### 👉 [WORKSHEET 4](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet4/worksheet4.md?ref_type=heads) 👈

Optionally moving on to 👉 [WORKSHEET 5](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/worksheets/worksheet5/worksheet5.md?ref_type=heads) 👈

- Writing code that uses functions 
- Converting pseudocode into c++
- Exploring more substantial code projects

## Have already completed ...

- Submitting worksheets 2 and 3, ensuring you have also uploaded you git repo link to blackboard

If you have not already completed this please do so ASAP.

## By the end of the week...

... you should have completed:

- Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=fe1c9ffb-cf06-4c1e-a946-ade000d07d12&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/content/listContentEditable.jsp?content_id=_10054823_1&course_id=_358428_1#contextMenu)
*  Submitted Worksheet 3
- Attend the new format seminar session **(Please check your timetable as the location changes weekly!)**
- Join the discord if you want to : [https://discord.gg/V559GVJQnK](https://discord.gg/V559GVJQnK "https://discord.gg/V559GVJQnK")
- Attend 2 practicals to work on worksheet 4

...you should be able to:

- Write functions including selecting appropriate return types and arguments
- Make function calls and pass arguments to functions when calling them
- Use existing functions from a library to program more complex tasks
- Use nested loops and conditional statements
- Understand the rules to Conway's Game of Life and observe how it creates complex results
## Resources

- Wikipedia Article on Conways Game of Life [here](https://en.wikipedia.org/wiki/Conway%27s_Game_of_Life)  
- The Game of Life Wiki [here](https://www.conwaylife.com/wiki/Main_Page) is great for finding more advanced patterns etc.
- Guide on using [Command Line Interfaces ](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/cli.md?ref_type=heads)
- [Git submissions](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-submissions.md?ref_type=heads)
- [Git Reference](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-reference.md?ref_type=heads)
